Bug 375551 - Update request: pychess-0.8beta1
Update request: pychess-0.8beta1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pychess (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-11 01:40 EST by Michel Alexandre Salim
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.8.0-0.1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 03:00:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changes to pychess for 0.8beta1 (20.00 KB, application/octet-stream)
2007-11-11 01:40 EST, Michel Alexandre Salim
no flags Details

  None (edit)
Description Michel Alexandre Salim 2007-11-11 01:40:38 EST
Description of problem:
pychess-0.6, the latest version on the Fedora repository, is rather out-of-date,
and does not work out-of-the-box on Fedora 8. 0.6.1 does not work either, and
0.8beta 1 appears to be significantly improved, and might be worth packaging.

Please find included the spec file patch, and some patches for the code:
- a patch to make pychess use distutils' get_path rather than it's current
method, which breaks on 64-bit machines (it returns the arch-specific sitedir
rather than the noarch one)
- a trivial patch to reflect pygtksourceview's module name change

We should probably push both to upstream. Also, would you be interested in
getting a co-maintainer? I find the prospect of a decent lightweight chess
client appealing.

Version-Release number of selected component (if applicable):
0.6.0-1.fc8
Comment 1 Michel Alexandre Salim 2007-11-11 01:40:38 EST
Created attachment 254261 [details]
Changes to pychess for 0.8beta1
Comment 2 Sindre Pedersen Bjørdal 2007-11-11 07:42:31 EST
Thanks for this, I'll get to updating the package right away.

I would very much like a co-maintainer. I haven't been able to give pychess the
love it deserves for some time. Do you know which steps need to be taken to get
you in as a co-maintainer? I don't
Comment 3 Michel Alexandre Salim 2007-11-12 12:11:25 EST
The documentation is rather lacking about the Package Database at the moment,
alas. I think this is how it works:

https://admin.fedoraproject.org/pkgdb/packages/name/pychess

I applied for access to the package on different distributions, and the package
owner (you) has to manually approve my requests.
Comment 4 Sindre Pedersen Bjørdal 2007-11-12 14:01:46 EST
Approved everything, is this it?
Comment 5 Michel Alexandre Salim 2007-11-12 16:00:17 EST
Yup. I tried doing 'make tag' and got the error message 'tag already created'
rather than a permission problem, so I should be able to commit changes, request
tags and builds etc.

Thanks!
Comment 6 Michel Alexandre Salim 2007-11-13 03:00:25 EST
Closing bug -- build already in F8 (weird, the update system normally closes the
bug report automatically unless the checkbox is ticked off)

Note You need to log in before you can comment on or make changes to this bug.